ggiDrawHLine(3ggi)

NAME
ggiDrawHLine, ggiPutHLine, ggiGetHLine - Draw, put, and get a horizontal line from a visual

SYNOPSIS
#include <ggi/ggi.h>

int ggiDrawHLine(ggi_visual_t vis, int x, int y, int w);

int ggiPutHLine(ggi_visual_t vis, int x, int y, int w, void *buf);

int ggiGetHLine(ggi_visual_t vis, int x, int y, int w, void *buf); .SH "DESCRIPTION"

Draw, put, or get a horizontal line from (x,y), extending w pixels in the positive x direction (normally right). The height is one pixel.

RETURN VALUE

All three functions return 0 to indicate success. Any other value indicates an error.

SEE ALSO
ggiDrawVLine(3), ggiDrawBox(3), ggiDrawLine(3)